Subject: Re: [nemo] Behavior of HA

From: MATSUMOTO Taisuke <[email-masked]>
Date: Thu, 06 Nov 2003 09:46:25 +0000

Hi Vijay,

Thank you for your response.

> > So, I think that some schemes to avoid that restriction of the 
> > mobile IPv6 specifications is required for the NEMO basic support.
> 
> yes. the mobile IPv6 restriction needs to be relaxed. currently
> section 10.3.1 of MIPv6 says
> 
>        if the home address for the binding (the Home Address field
>        in the packet's Home Address option) is not an on-link IPv6
>        address with respect to the home agent's current Prefix List, then
>        the home agent MUST reject the Binding Update and SHOULD return a
>        Binding Acknowledgement to the mobile node, in which the Status
>        field is set to 132 (not home subnet).
> 
> for Nemo, the Home Agent should not reject the Binding if the
> home address is from a prefix that has been delegated to a
> Mobile Router.
> 
> comments?

I think that your comment is reasonabie. But I have another 
question how to know if the prefix is delegated to the mobile 
router. If it should be pre-configured in the home agent, it makes 
the explicit prefix length mode lose an advantage to the implicit 
mode.

Am I misunderstanding anything? 

Taisuke